$resellerCardTabletMarginBottom: $buildingUnit * 2;
$resellerCardMobileMarginBottom: $buildingUnit;

$resellerCardBorderSize: 1px;
$resellerCardPadding: $buildingUnit * 1.5;
$resellerLinkCorrection: 2px;

.reseller-card {

    display: flex;
    flex-direction: column;

    max-width: $mobileXlWidth;

    margin-bottom: $resellerCardMobileMarginBottom;
    @include min-tablet {
        margin-bottom: $resellerCardTabletMarginBottom;
    }

    color: $colorBlack;
    background: $colorWhite;

    border: $resellerCardBorderSize solid $colorGrayLight;
    box-sizing: border-box;

    @include micro-animate(color, background);

    &:hover {
        color: inherit;
        background: $colorGrayLight;
    }

    &:focus,
    &:hover:focus,
    &:focus:active {
        border-color: lighten($colorMain, $tintHoverFocus);
        @extend %focus;

        & * {
            color: $colorWhite;
        }
    }

    &:hover,
    &:focus {
        //simulate hover or focus on content-link
        .faux-content-link .link__underline {
            background-image: linear-gradient(transparent calc(100% - 1px), currentColor 10px);
            background-size: 0% 100%;
        }
    }
}

.reseller-card__header {
    display: flex;
    flex-direction: row;
    padding: $resellerCardPadding;
    padding-bottom: 0;
}

.reseller-card__image-wrapper {
    width: $buildingUnit * 5;
    height: $buildingUnit * 5;
    min-width: $buildingUnit * 5;
    min-height: $buildingUnit * 5;
    overflow: hidden;
    margin-right: $resellerCardPadding;
    align-items: center;
    display: flex;
}

.reseller-card__title {
    @include text-overflow;
    width: 100%;
}

.reseller-card__description {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    @extend %reset-last-margin;
}

.reseller-card__showroom-count {
    @extend .copy--small;
    color: $colorGrayDark;
}

.reseller-card__footer {
    text-align: right;
    padding: ($buildingUnit + $resellerLinkCorrection) $resellerCardPadding $buildingUnit $resellerCardPadding;

    @include min-tablet {
        padding-bottom: ($buildingUnit - $resellerLinkCorrection);
    }
}

.reseller-card__link {
    margin: 0;
}
